package com.sinosig.web.module.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import com.sinosig.web.module.service.JQXTBYDService;
import com.sinosig.web.module.domain.JQXTBYD;
import com.sinosig.web.module.filter.*;

@RestController
@RequestMapping(value = "")
public class JQXTBYDController {
	@Autowired
    JQXTBYDService jqxtbydservice;



    public ResponseEntity<Boolean> checkKeyByCID(@PathVariable("cid_id") String cid_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }

    public ResponseEntity<JQXTBYD> createByCID(@PathVariable("cid_id") String cid_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> getDraftTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> getTBYDKXXByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> createTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> getTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> removeTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> saveByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }

    public ResponseEntity<Boolean> removeByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id) {
        return null;
    }

    public ResponseEntity<JQXTBYD> getByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id) {
        return null;
    }


    public ResponseEntity<JQXTBYD> removeTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> updateTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> updateTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }

    public ResponseEntity<JQXTBYD> updateByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> getDraftTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }


    public ResponseEntity<JQXTBYD> getTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }

    public ResponseEntity<JQXTBYD> getDraftByCID() {
        return null;
    }


    public ResponseEntity<JQXTBYD> createTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("jqxtbyd_id") String jqxtbyd_id, @RequestBody JQXTBYD jqxtbyd) {
        return null;
    }

	public ResponseEntity<List<JQXTBYD>> fetchDefaultByCID() {
        return null;
    }


}
